package com.mcwl.communityCenter.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.mcwl.common.core.domain.R;
import com.mcwl.common.core.page.TableDataInfo;
import com.mcwl.communityCenter.domain.CommunityUser;
import com.mcwl.communityCenter.domain.dto.BlackListRes;
import com.mcwl.communityCenter.domain.dto.CommunityUserListPageRes;
import com.mcwl.communityCenter.domain.dto.CommunityUserManageRes;
import com.mcwl.communityCenter.domain.dto.UnBlackListRes;

import javax.validation.Valid;
import java.util.List;

public interface CommunityUserService extends IService<CommunityUser> {

    /**
     * 获取社区用户列表
     */
    TableDataInfo getCommunityUserList(CommunityUserListPageRes communityUserListPageRes);

    /**
     * 拉黑
     */
    R<Object> black(@Valid BlackListRes blackListRes);

    List<CommunityUser> getAllCommunityUser();

    void updateBlankCommunityUser(CommunityUser communityUser);

    R<Object> unBlack(@Valid UnBlackListRes unBlackListRes);

    R<Object> manage(@Valid CommunityUserManageRes communityUserManageRes);
}
